Name: ale
Version: 0.9.0.3
Release: 5%{?dist}
Summary: Combines multiple inputs of the same scene

Group: Applications/Multimedia
License: GPLv3
URL: http://auricle.dyndns.org/ALE/
Source0: http://auricle.dyndns.org/ALE/download/%{name}-%{version}.tar.gz
# sent patch to upstream mailing list on 2008.09.23
Patch0: ale-0.9.0.1-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ImageMagick-devel
BuildRequires: fftw-devel >= 3.0.0
Requires: perl-Image-ExifTool
Requires: dcraw

%description
ALE is an image-processing program used for tasks such as image mosaicking,
super-resolution, deblurring, noise reduction, anti-aliasing, and scene
reconstruction. Its principle of operation is synthetic capture, combining
multiple inputs representing the same scene.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-wmx \
	--with-hashmap=gnu \
	--with-imagemagick \
	--with-fftw3
make %{_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# install scripts
%{__install} -p -m 0755 scripts/ale-psf-calibrate %{buildroot}%{_bindir}
%{__install} -p -m 0755 scripts/cpfmerge %{buildroot}%{_bindir}
%{__install} -p -m 0755 scripts/sko2cpf %{buildroot}%{_bindir}
%{__install} -p -m 0755 scripts/transform %{buildroot}%{_bindir}/ale-transform


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.9.0.3-4
- Rebuilt for gcc bug 634757

* Sun Sep 15 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0.3-3
- rebuild for new ImageMagick

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Douglas E. Warner <silfreed@silfreed.net> - 0.9.0.3-1
- update to 0.9.0.3
- Revise --version to include ImageMagick library information.
- Add ditz issue database and package document BUG-REPORTING.
- Refine warnings for 8-bit output when --16bpc (incl. default).
- Fix --16bpc default behavior.
- Fixed serious memory leak in alignment code, and less serious leaks.

* Wed Mar 11 2009 Douglas E. Warner <silfreed@silfreed.net> - 0.9.0.1-4
- rebuilt for libMagickCore soname bump

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 23 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0.1-2
- updated gcc4.3 patch for 0.9.0.1 to compile w/ new fuzz settings

* Wed Jun 18 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0.1-1
- updating to ale 0.9.0.1

* Fri May 09 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0-3
- adding Requires perl-Image-ExifTool, dcraw

* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0-2
- adding additional configuration options (imagemagick, fftw3, wmx,
  gnu hashmap) and build requires to satisfy them
- installing scripts

* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0-1
- update to 0.9.0
- added GCC 4.3 compilation patch

* Wed Mar 19 2008 Douglas E. Warner <silfreed@silfreed.net> 0.8.11-1
- update to 0.8.11
- updating spec to fedora standards
- updating License to GPLv3
- removing Requires ldconfig
- shortened summary
- added dist tag

* Mon Apr 30 2007 Douglas E. Warner <silfreed@silfreed.net> 0.8.7-1
- Initial RPM release.

